=== modified file 'lib/lp/scripts/garbo.py'
--- lib/lp/scripts/garbo.py	2012-01-05 21:38:46 +0000
+++ lib/lp/scripts/garbo.py	2012-01-06 12:11:50 +0000
@@ -927,6 +927,7 @@
 
     def __call__(self, chunk_size):
         """See `TunableLoop`."""
+        chunk_size = int(chunk_size + 0.5)
         chunk_ids = self.ids[:chunk_size]
         del self.ids[:chunk_size]
         self.store.execute("""

=== modified file 'lib/lp/services/looptuner.py'
--- lib/lp/services/looptuner.py	2012-01-01 02:58:52 +0000
+++ lib/lp/services/looptuner.py	2012-01-06 11:50:43 +0000
@@ -49,6 +49,9 @@
         The chunk_size parameter says (in some way you define) how much work
         the LoopTuner believes you should try to do in this iteration in order
         to get as close as possible to your time goal.
+
+        Note that chunk_size is a float, so, for example, if you use it to
+        slice a list, be careful to round it to an int first.
         """
 
     def cleanUp(self):

